    The XSPEC nsx model: neutron star with a non-magnetic atmosphere.

xsnsx
The xsnsx model is an additive model component.

The model is described at [1] .

>>> create_model_component("xsnsx", "mdl")
>>> print(mdl)

Create a component of the xsnsx model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.logTeff thawed 6 5.5 6.7 K mdl.M_ns thawed 1.4 0.5 3 Msun mdl.R_ns thawed 10 5 30 km mdl.dist thawed 1 0.01 100 kpc mdl.specfile frozen 6 -3.40282e+38 3.40282e+38 mdl.norm thawed 1 0 1e+24

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
LogTeff
The log of Teff, the unredshifted surface effective temperature.
M_ns
The neutron star gravitational mass, in units of the solar mass.
R_ns
The neutron star radius, in km.
dist
The distance to the neutron star, in kpc.
specfile
Which model to use: see [1] for more details.
norm
The normalization: see [1] for more details.

References

[1] https://heasarc.gsfc.nasa.gov/xanadu/xspec/manual/XSmodelNsx.html

XSPEC version

CIAO 4.16 comes with support for version 12.13.1e of the XSPEC models. This can be checked with the following:

% python -c 'from sherpa.astro import xspec; print(xspec.get_xsversion())'12.13.1e

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023